I'm trying to upgrade a Postgres 7.0.3 database to something current, and the new version spits out an error when I try and import the data file, complaining that 'invalid' is no longer supported as a timestamp.

When I try and run a query in psql like "select * where mydate = 'invalid'" nothing is returned.

When I run a query like "select mydate where myprimarykey = 5" I get :
(1 row)

How can I either update these values with a query, or get the upgrade to work?